[PC-BSD Commits] r19680 - pbi/modules/emulators/virtualbox-ose/scripts
svn at pcbsd.org
svn at pcbsd.org
Mon Oct 15 13:04:47 PDT 2012
Author: kris
Date: 2012-10-15 20:04:47 +0000 (Mon, 15 Oct 2012)
New Revision: 19680
Modified:
pbi/modules/emulators/virtualbox-ose/scripts/post-portmake.sh
Log:
Looks like we need buildworld run before new -kmod can be built
Modified: pbi/modules/emulators/virtualbox-ose/scripts/post-portmake.sh
===================================================================
--- pbi/modules/emulators/virtualbox-ose/scripts/post-portmake.sh 2012-10-15 20:02:27 UTC (rev 19679)
+++ pbi/modules/emulators/virtualbox-ose/scripts/post-portmake.sh 2012-10-15 20:04:47 UTC (rev 19680)
@@ -27,6 +27,12 @@
echo "Checking out ${relpath}...."
/usr/local/bin/svn co svn://svn.freebsd.org/base/${relpath} .
if [ $? -ne 0 ] ; then echo "Failed getting FreeBSD sources..." exit 1 ; fi
+
+ # Looks like we need updated buildworld as well
+ cd /usr/src
+ make buildworld installworld
+ if [ $? -ne 0 ] ; then echo "Failed building FreeBSD sources..." exit 1 ; fi
+
cd /usr/ports/emulators/virtualbox-ose-kmod
make deinstall
make clean
More information about the Commits
mailing list